Issue410

classification
Title [Bug: 21.4.21] Segfault on reading png
Type defect Module core code 21.4
Severity crash Platform x86, unix
Keywords Nosy List stephen
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason superseded
Superseder [Bug: 21.5-b29] usenet article freezes XEmacs
View: 570
  Submitted 2008-06-04.13:28:54
Priority normal   Assigned To

Created on 2008-11-29.06:19:54 by adsj, last changed 2009-09-25.02:23:42 by stephen.

Messages
msg1856 [hidden] ([hidden]) Date: 2009-09-25.02:23:42
This bug appears to be the one in issue570, which is fixed in the trunk, 
and a patch submitted for 21.4.
msg937 [hidden] ([hidden]) Date: 2009-01-02.22:10:59
See also issue373.

Removed adsj from Nosy list (no domain in email address). 
Should this be user asjo?
msg853 [hidden] ([hidden]) Date: 2008-11-29.06:19:54
  Message-ID: <7pprqxgwh5.fsf@novozymes.com>
================================================================
Dear Bug Team!

I am getting segmentation faults when running XEmacs on Ubuntu 8.04
hardy on an amd64-machine.

I have built debug-packages (export DEB_BUILD_OPTIONS="debug nostrip"
in debian/rules) and installed them to get better information for this
bugreport.

This is what happens:

$ xemacs --vanilla /usr/lib/xemacs-21.4.21/etc/custom/reset-up.png
Warning: Missing charsets in String to FontSet conversion

Fatal error (11).

Your files have been auto-saved.
Use `M-x recover-session' to recover them.

Your version of XEmacs was distributed with a PROBLEMS file that  may describe
your crash, and with luck a workaround.  Please check it first, but do report
the crash anyway.  Please report this bug by invoking M-x report-emacs-bug,
or by selecting `Send Bug Report' from the Help menu.  If necessary, send
ordinary email to `xemacs-beta at xemacs.org'.  *MAKE SURE* to include the XEmacs
configuration from M-x describe-installation, or equivalently the file
Installation in the top of the build tree.

*Please* try *hard* to obtain a C stack backtrace; without it, we are unlikely
to be able to analyze the problem.  Locate the core file produced as a result
of this crash (often called `core' or `core.<process-id>', and located in
the directory in which you started XEmacs or your home directory), and type

  gdb /usr/bin/xemacs core

then type `where' at the debugger prompt.  No GDB on your system?  You may
have DBX, or XDB, or SDB.  (Ask your system administrator if you need help.)
If no core file was produced, enable them (often with `ulimit -c unlimited'
in case of future recurrance of the crash.

Lisp backtrace follows:

  # (unwind-protect ...)
  # (unwind-protect ...)
  # (catch #<INTERNAL OBJECT (XEmacs bug?) (opaque-ptr, adr=0x99b248) 0x9c39d0> ...)
  # (unwind-protect ...)
IHDR?%G?????%@gAMA%G????%@nce([png :data "%G??%@PNG
%G??%@(xY^%G??????%@I%G?????%@&%G???%@LTE%G??????%@GGH%G?????????%@khj**)%G???%@$ASA(B$A%G?????????(B$A%@(BXXV}}{%G????%@:<%G????%@,/8tEXtSoftwareXV Version 3.10a  Rev: 12/29/94 (PNG patch 1.2)%G??%@.I%G??%@DATx%G??????%@l`%G???????%@J%G????????%@<SR=%G??%@P%G??%@@\\
                      *%G??%@2=N;0@%G????%@*x*%G??%@gz%G?????%@n%G?????%@WU%G??%@I%G??????%@w%G????????%@5%G???%@+L%G????%@)LJ%G???%@B%G????????????%@ %G???????%@y%G???%@
                                                                                                                  %G??%@z%G??????%@ER%G??%@,%G??????%@w%G??????%@V%G??????%@aOq%G??????%@3%G??%@<%G??????????%@[$(C()()(B$(C%G?(B$(C%@()(B$(C%G?(B$(C%@$A(!$(C()(B$(C%G?(B$(C%@()[(B$(C%G?(B$(C%@()(B$(C%G?????????(B$(C%@(B`7^%G????????%@:/xs3tIME%G??%@( %G???????%@tEXtCommentMade with GIMP~e%G??%@IEND%G??%@B`%G??%@"] nil nil no-error)
  # (unwind-protect ...)
  # bind (type end start)
  image-decode(1 490 png)
  image-decode-buffer()
  # bind (arg)
  image-mode()
  # bind (alist mode name keep-going)
  # (unwind-protect ...)
  # bind (just-from-file-name)
  set-auto-mode()
  byte-code("..." [set-auto-mode t] 1)
  # (condition-case ... . ((error (byte-code "%G???%@!\"%G?????%@" ... 4))))
  # bind (find-file)
  normal-mode(t)
  # bind (nomodes after-find-file-from-revert-buffer noauto warn error)
  after-find-file(nil t)
  byte-code("..." [buffer-file-number number truename buffer-file-truename buf buffer-file-name set-buffer-major-mode erase-buffer nil (byte-code %G????????%@"%G??????????%@"%G????%@" [rawfile filename insert-file-contents-literally t insert-file-contents] 3) ((file-error ...)) abbreviate-file-name file-name-directory make-local-variable backup-inhibited t after-find-file find-file-use-truenames default-directory backup-enable-predicate rawfile error nowarn] 3)
  # (condition-case ... . ((t (byte-code "%G??%@!%G????%@@      A\"%G??%@" ... 3))))
  # (unwind-protect ...)
  # bind (error number truename buf rawfile nowarn filename)
  find-file-noselect("/usr/lib/xemacs-21.4.21/etc/custom/reset-up.png")
  # bind (codesys filename)
  find-file("/usr/lib/xemacs-21.4.21/etc/custom/reset-up.png")
  # bind (dir file-count line end-of-options file-p arg tem)
  command-line-1()
  # bind (command-line-args-left)
  command-line()
  # (condition-case ... . ((t (byte-code "      %G??%@" ... 1))))
  # bind (error-data)
  normal-top-level()
  # (condition-case ... . error)
  # (catch top-level ...)
Segmentation fault (core dumped)
$  gdb /usr/bin/xemacs core
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu"...
Reading symbols from /usr/lib/libXaw.so.7...done.
Loaded symbols for /usr/lib/libXaw.so.7
Reading symbols from /usr/lib/libtiff.so.4...done.
Loaded symbols for /usr/lib/libtiff.so.4
Reading symbols from /usr/lib/libpng12.so.0...done.
Loaded symbols for /usr/lib/libpng12.so.0
Reading symbols from /usr/lib/libjpeg.so.62...done.
Loaded symbols for /usr/lib/libjpeg.so.62
Reading symbols from /usr/lib/libcompface.so.1...done.
Loaded symbols for /usr/lib/libcompface.so.1
Reading symbols from /usr/lib/libXpm.so.4...done.
Loaded symbols for /usr/lib/libXpm.so.4
Reading symbols from /usr/lib/libXmu.so.6...done.
Loaded symbols for /usr/lib/libXmu.so.6
Reading symbols from /usr/lib/libXt.so.6...done.
Loaded symbols for /usr/lib/libXt.so.6
Reading symbols from /usr/lib/libXext.so.6...done.
Loaded symbols for /usr/lib/libXext.so.6
Reading symbols from /usr/lib/libX11.so.6...done.
Loaded symbols for /usr/lib/libX11.so.6
Reading symbols from /usr/lib/libSM.so.6...done.
Loaded symbols for /usr/lib/libSM.so.6
Reading symbols from /usr/lib/libICE.so.6...done.
Loaded symbols for /usr/lib/libICE.so.6
Reading symbols from /usr/lib/libdb-4.6.so...done.
Loaded symbols for /usr/lib/libdb-4.6.so
Reading symbols from /usr/lib/libgpm.so.1...done.
Loaded symbols for /usr/lib/libgpm.so.1
Reading symbols from /lib/libncurses.so.5...done.
Loaded symbols for /lib/libncurses.so.5
Reading symbols from /usr/lib/libldap_r-2.4.so.2...done.
Loaded symbols for /usr/lib/libldap_r-2.4.so.2
Reading symbols from /lib/libm.so.6...done.
Loaded symbols for /lib/libm.so.6
Reading symbols from /lib/libutil.so.1...done.
Loaded symbols for /lib/libutil.so.1
Reading symbols from /lib/libc.so.6...done.
Loaded symbols for /lib/libc.so.6
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/liblber-2.4.so.2...done.
Loaded symbols for /usr/lib/liblber-2.4.so.2
Reading symbols from /usr/lib/libz.so.1...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /usr/lib/libXau.so.6...done.
Loaded symbols for /usr/lib/libXau.so.6
Reading symbols from /usr/lib/libxcb-xlib.so.0...done.
Loaded symbols for /usr/lib/libxcb-xlib.so.0
Reading symbols from /usr/lib/libxcb.so.1...done.
Loaded symbols for /usr/lib/libxcb.so.1
Reading symbols from /lib/libpthread.so.0...done.
Loaded symbols for /lib/libpthread.so.0
Reading symbols from /lib/libresolv.so.2...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /usr/lib/libsasl2.so.2...done.
Loaded symbols for /usr/lib/libsasl2.so.2
Reading symbols from /usr/lib/libgnutls.so.13...done.
Loaded symbols for /usr/lib/libgnutls.so.13
Reading symbols from /lib/ld-linux-x86-64.so.2...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib/libXdmcp.so.6...done.
Loaded symbols for /usr/lib/libXdmcp.so.6
Reading symbols from /usr/lib/libtasn1.so.3...done.
Loaded symbols for /usr/lib/libtasn1.so.3
Reading symbols from /lib/libgcrypt.so.11...done.
Loaded symbols for /lib/libgcrypt.so.11
Reading symbols from /lib/libgpg-error.so.0...done.
Loaded symbols for /lib/libgpg-error.so.0
Reading symbols from /lib/libnss_files.so.2...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /lib/libnss_nis.so.2...done.
Loaded symbols for /lib/libnss_nis.so.2
Reading symbols from /lib/libnsl.so.1...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /usr/lib/libXcursor.so.1...done.
Loaded symbols for /usr/lib/libXcursor.so.1
Reading symbols from /usr/lib/libXrender.so.1...done.
Loaded symbols for /usr/lib/libXrender.so.1
Reading symbols from /usr/lib/libXfixes.so.3...done.
Loaded symbols for /usr/lib/libXfixes.so.3
Core was generated by `xemacs --vanilla /usr/lib/xemacs-21.4.21/etc/custom/reset-up.png'.
Program terminated with signal 11, Segmentation fault.
[New process 28440]
#0  0x00002ad362b57527 in kill () from /lib/libc.so.6
(gdb) where
#0  0x00002ad362b57527 in kill () from /lib/libc.so.6
#1  0x000000000048db5e in fatal_error_signal (sig=11) at emacs.c:642
#2  <signal handler called>
#3  0x00002ad362b9cbcb in free () from /lib/libc.so.6
#4  0x00002ad3615e71c2 in ?? () from /usr/lib/libX11.so.6
#5  0x00000000005d434c in x_init_image_instance_from_eimage (ii=0xdc66e0, width=63, height=19, slices=1, 
    eimage=0xdcae10 "%G?????????????????????????????????????????????????????????????????????????????????????????????%@}}{%G??????%@..., dest_mask=-1, instantiator=13628224, domain=13200096) at glyphs-x.c:988
#6  0x0000000000531f5a in png_instantiate (image_instance=<value optimized out>, instantiator=13628224, pointer_fg=<value optimized out>, pointer_bg=<value optimized out>, dest_mask=-1, 
    domain=13200096) at glyphs-eimage.c:1045
#7  0x0000000000527983 in instantiate_image_instantiator (governing_domain=11813936, domain=13200096, instantiator=13628224, pointer_fg=47087417296112, pointer_bg=47087417296112, dest_mask=-1, 
    glyph=47087417296112) at glyphs.c:776
#8  0x000000000052c1ab in make_image_instance_1 (data=13628224, domain=13200096, dest_types=47087417296112) at glyphs.c:1476
#9  0x0000000000492c52 in call_with_suspended_errors_1 (opaque_arg=<value optimized out>) at eval.c:2112
#10 0x000000000049108e in internal_catch (tag=<value optimized out>, func=0x492af0 <call_with_suspended_errors_1>, arg=10379568, threw=0x7fff4aac670c) at eval.c:1318
#11 0x0000000000492917 in call_with_suspended_errors (fun=0x52c050 <make_image_instance_1>, retval=47087417296112, class=47087417260112, errb=<value optimized out>, nargs=3) at eval.c:2205
#12 0x0000000000523802 in Fmake_image_instance (data=13628224, domain=47087417296112, dest_types=47087417296112, noerror=<value optimized out>) at glyphs.c:1579
#13 0x0000000000496cc6 in Ffuncall (nargs=<value optimized out>, args=0x7fff4aac68d8) at eval.c:3536
#14 0x000000000046569d in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0xd04750) at bytecode.c:748
#15 0x0000000000467c5f in funcall_compiled_function (fun=14506488, nargs=3, args=0x7fff4aac6ae0) at bytecode.c:519
#16 0x0000000000496b8e in Ffuncall (nargs=<value optimized out>, args=0x7fff4aac6ad8) at eval.c:3572
#17 0x000000000046569d in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0xd05c60) at bytecode.c:748
#18 0x0000000000467c5f in funcall_compiled_function (fun=14506344, nargs=0, args=0x7fff4aac6cc0) at bytecode.c:519
#19 0x0000000000496b8e in Ffuncall (nargs=<value optimized out>, args=0x7fff4aac6cb8) at eval.c:3572
#20 0x000000000046569d in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0xdcc670) at bytecode.c:748
#21 0x0000000000467c5f in funcall_compiled_function (fun=14506872, nargs=0, args=0x7fff4aac6e90) at bytecode.c:519
#22 0x0000000000496b8e in Ffuncall (nargs=<value optimized out>, args=0x7fff4aac6e88) at eval.c:3572
#23 0x000000000046569d in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0x2ad364d9f828) at bytecode.c:748
#24 0x0000000000467c5f in funcall_compiled_function (fun=47087419319744, nargs=0, args=0x7fff4aac7070) at bytecode.c:519
#25 0x0000000000496b8e in Ffuncall (nargs=<value optimized out>, args=0x7fff4aac7068) at eval.c:3572
#26 0x000000000046569d in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0x2ad364d9f948) at bytecode.c:748
#27 0x00000000004677ea in Fbyte_code (instructions=<value optimized out>, constants=47087418472744, stack_depth=<value optimized out>) at bytecode.c:2407
#28 0x000000000049600f in Feval (form=47087417995136) at eval.c:3335
#29 0x0000000000492e26 in condition_case_1 (handlers=<value optimized out>, bfun=0x4952a0 <Feval>, barg=47087417995136, hfun=0x4991b0 <run_condition_case_handlers>, harg=47087417219888)
    at eval.c:1652
#30 0x0000000000464a6c in execute_rare_opcode (stack_ptr=0x7fff4aac7478, program_ptr=<value optimized out>, opcode=<value optimized out>) at bytecode.c:1273
#31 0x0000000000465d6c in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0x2ad364d9f9a0) at bytecode.c:658
#32 0x0000000000467c5f in funcall_compiled_function (fun=47087419319840, nargs=1, args=0x7fff4aac7650) at bytecode.c:519
#33 0x0000000000496b8e in Ffuncall (nargs=<value optimized out>, args=0x7fff4aac7648) at eval.c:3572
#34 0x000000000046569d in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0x2ad364da02d0) at bytecode.c:748
#35 0x0000000000467c5f in funcall_compiled_function (fun=47087419320560, nargs=2, args=0x7fff4aac7830) at bytecode.c:519
#36 0x0000000000496b8e in Ffuncall (nargs=<value optimized out>, args=0x7fff4aac7828) at eval.c:3572
#37 0x000000000046569d in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0x2ad364d8cc78) at bytecode.c:748
#38 0x00000000004677ea in Fbyte_code (instructions=<value optimized out>, constants=47087418395736, stack_depth=<value optimized out>) at bytecode.c:2407
#39 0x000000000049600f in Feval (form=47087417848376) at eval.c:3335
#40 0x0000000000492e26 in condition_case_1 (handlers=<value optimized out>, bfun=0x4952a0 <Feval>, barg=47087417848376, hfun=0x4991b0 <run_condition_case_handlers>, harg=47087417254352)
    at eval.c:1652
#41 0x0000000000464a6c in execute_rare_opcode (stack_ptr=0x7fff4aac7ce8, program_ptr=<value optimized out>, opcode=<value optimized out>) at bytecode.c:1273
#42 0x0000000000465d6c in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0x2ad364da2028) at bytecode.c:658
#43 0x0000000000467c5f in funcall_compiled_function (fun=47087419322816, nargs=1, args=0x7fff4aac7ee8) at bytecode.c:519
#44 0x0000000000496b8e in Ffuncall (nargs=<value optimized out>, args=0x7fff4aac7ee0) at eval.c:3572
#45 0x000000000046569d in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0x2ad364da1700) at bytecode.c:748
#46 0x0000000000467c5f in funcall_compiled_function (fun=47087419322240, nargs=1, args=0x7fff4aac80b0) at bytecode.c:519
#47 0x0000000000496b8e in Ffuncall (nargs=<value optimized out>, args=0x7fff4aac80a8) at eval.c:3572
#48 0x000000000046569d in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0x2ad364d74ea0) at bytecode.c:748
#49 0x0000000000467c5f in funcall_compiled_function (fun=47087419266128, nargs=0, args=0x7fff4aac82a0) at bytecode.c:519
#50 0x0000000000496b8e in Ffuncall (nargs=<value optimized out>, args=0x7fff4aac8298) at eval.c:3572
#51 0x000000000046569d in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0x2ad364d76098) at bytecode.c:748
#52 0x0000000000467c5f in funcall_compiled_function (fun=47087419267424, nargs=0, args=0x7fff4aac83d0) at bytecode.c:519
#53 0x0000000000495b3b in Feval (form=47087417623088) at eval.c:3392
#54 0x0000000000492e26 in condition_case_1 (handlers=<value optimized out>, bfun=0x4952a0 <Feval>, barg=47087417623088, hfun=0x4991b0 <run_condition_case_handlers>, harg=47087417254352)
    at eval.c:1652
#55 0x0000000000464a6c in execute_rare_opcode (stack_ptr=0x7fff4aac86e8, program_ptr=<value optimized out>, opcode=<value optimized out>) at bytecode.c:1273
#56 0x0000000000465d6c in execute_optimized_program (program=<value optimized out>, stack_depth=<value optimized out>, constants_data=0x2ad364d76e30) at bytecode.c:658
#57 0x0000000000467c5f in funcall_compiled_function (fun=47087419268864, nargs=0, args=0x7fff4aac8830) at bytecode.c:519
#58 0x0000000000495b3b in Feval (form=47087417469416) at eval.c:3392
#59 0x0000000000492e26 in condition_case_1 (handlers=<value optimized out>, bfun=0x4952a0 <Feval>, barg=47087417469416, hfun=0x472660 <cmd_error>, harg=47087417296112) at eval.c:1652
#60 0x00000000004727f0 in top_level_1 (dummy=<value optimized out>) at cmdloop.c:206
#61 0x000000000049108e in internal_catch (tag=<value optimized out>, func=0x4727c0 <top_level_1>, arg=47087417296112, threw=0x0) at eval.c:1318
#62 0x00000000004728d7 in initial_command_loop (load_me=<value optimized out>) at cmdloop.c:285
#63 0x000000000048e46a in xemacs_21_4_21_x86_64_pc_linux (argc=3, argv=0x7fff4aac8e98, envp=<value optimized out>, restart=0) at emacs.c:2460
#64 0x000000000048f0d0 in main (argc=<value optimized out>, argv=<value optimized out>, envp=<value optimized out>) at emacs.c:2829
(gdb) 

The versions are:

$ ldd /usr/bin/xemacs-21.4.21-mule | grep png
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00002ae466469000)
$ wajig findfile /usr/lib/libpng12.so.0
libpng12-0: /usr/lib/libpng12.so.0
$ wajig status libpng12-0
Package                 Installed       Previous        Now             State
=======================-===============-===============-===============-=====
libpng12-0              1.2.15~beta5-3  1.2.15~beta5-3  1.2.15~beta5-3  install
$ 

================================================================

System Info to help track down your bug:
---------------------------------------

uname -a: Linux ala 2.6.24-16-generic #1 SMP Thu Apr 10 12:47:45 UTC 2008 x86_64 GNU/Linux

./configure  '--with-sound=none,native' '--with-x11' '--extra-verbose' '--with-site-lisp' '--with-database=berkdb' '--statedir=/var/lib' '--infodir=/usr/share/info/xemacs21' '--infopath=/usr/share/info/xemacs21' '--prefix=/usr' '--dynamic' '--debug' '--error-checking=gc,malloc,typecheck' '--with-pop' '--with-file-coding' '--pdump' '--with-system-malloc' '--with_menubars=lucid' '--with_scrollbars=lucid' '--with_dialogs=athena' '--docdir=/usr/lib/xemacs-21.4.21/x86_64-linux-gnu/mule/' '--with-mule' '--with-canna=no' '--with-wnn=no' '--with-xim=xlib' '--with-xfs' '--package-path=~/.xemacs:~/.xemacs/packages:~/.xemacs/xemacs-packages::/usr/share/xemacs21/site-packages:/usr/share/xemacs21/mule-packages:/usr/share/xemacs21/xemacs-packages' 'x86_64-linux-gnu'

XEmacs 21.4.21 "Educational Television" configured for `x86_64-pc-linux'.

Compilation / Installation:
  Source code location:              /usr/src/xemacs/xemacs21-21.4.21
  Installation prefix:               /usr
  Operating system description file: `s/linux.h'
  Not using any machine description file
  Compiler:                          gcc -g -O2
  Compiler version:                  gcc (GCC) 4.2.3 (Ubuntu 4.2.3-2ubuntu7)
  Compiler specs file:               specs.
  Relocating allocator for buffers:  no
  GNU version of malloc:             no
    - User chose not to use GNU allocators.
Need to guess glibc1/2/etc here

Window System:
  Compiling in support for the X window system:
    - X Windows headers location:                 
    - X Windows libraries location:               
    - Handling WM_COMMAND properly.
  Compiling in support for the Athena widget set:
    - Athena headers location:                    X11/Xaw
    - Athena library to link:                     Xaw
  Using Lucid menubars.
  Using Lucid scrollbars.
  Using Athena dialog boxes.
  Using Athena native widgets.

TTY:
  Compiling in support for ncurses.
  Compiling in support for GPM (General Purpose Mouse).

Images:
  Compiling in support for GIF  images (builtin).
  Compiling in support for XPM  images.
  Compiling in support for PNG  images.
  Compiling in support for JPEG images.
  Compiling in support for TIFF images.
  Compiling in support for X-Face message headers.

Sound:
  Compiling in support for sound (native).

Databases:
  Compiling in support for Berkeley database.
  Compiling in support for LDAP.

Internationalization:
  Compiling in support for Mule (multi-lingual Emacs).
  Compiling in support for file coding.
  Compiling in support for XIM (X11R5+ I18N input method).
    - Using raw Xlib to provide XIM support.
    - Using XFontSet to provide bilingual menubar.

Mail:
  Compiling in support for POP mail retrieval.
  Compiling in support for "dot-locking" mail spool file locking method.

Other Features:
  Inhibiting IPv6 canonicalization at startup.
  Compiling in support for dynamic shared object modules.
  Using the new portable dumper.
  Compiling in support for extra debugging code.
  WARNING: ---------------------------------------------------------
  WARNING: Compiling in support for runtime error checking.
  WARNING: XEmacs will run noticeably more slowly as a result.
  WARNING: Error checking is on by default for XEmacs beta releases.
  WARNING: ---------------------------------------------------------

Load-Path Lisp Shadows:
----------------------
(/usr/share/xemacs21/site-lisp/debian-el/debian-el
/usr/share/xemacs21/site-lisp/debian-el/debian-el
/usr/share/xemacs21/site-lisp/debian-el/debian-bug
/usr/share/xemacs21/site-lisp/debian-el/debian-bug
/usr/share/xemacs21/site-lisp/debian-el/debian-el-loaddefs
/usr/share/xemacs21/site-lisp/debian-el/debian-el-loaddefs
/usr/share/xemacs21/site-lisp/debian-el/preseed
/usr/share/xemacs21/site-lisp/debian-el/preseed
/usr/share/xemacs21/site-lisp/debian-el/apt-utils
/usr/share/xemacs21/site-lisp/debian-el/apt-utils
/usr/share/xemacs21/site-lisp/debian-el/deb-view
/usr/share/xemacs21/site-lisp/debian-el/deb-view
/usr/share/xemacs21/site-lisp/debian-el/apt-sources
/usr/share/xemacs21/site-lisp/debian-el/apt-sources
/usr/share/xemacs21/site-lisp/debian-el/gnus-BTS
/usr/share/xemacs21/site-lisp/debian-el/gnus-BTS
/usr/share/xemacs21/site-lisp/dictionaries-common/ispell
/usr/share/xemacs21/site-lisp/dictionaries-common/ispell
/usr/share/xemacs21/site-lisp/dictionaries-common/flyspell
/usr/share/xemacs21/site-lisp/dictionaries-common/flyspell
/usr/share/xemacs21/site-lisp/dictionaries-common/debian-ispell
/usr/share/xemacs21/site-lisp/dictionaries-common/debian-ispell
/usr/share/xemacs21/site-lisp/dpkg-dev-el/debian-changelog-mode
/usr/share/xemacs21/site-lisp/dpkg-dev-el/debian-changelog-mode
/usr/share/xemacs21/site-lisp/dpkg-dev-el/dpkg-dev-el-loaddefs
/usr/share/xemacs21/site-lisp/dpkg-dev-el/dpkg-dev-el-loaddefs
/usr/share/xemacs21/site-lisp/dpkg-dev-el/readme-debian
/usr/share/xemacs21/site-lisp/dpkg-dev-el/readme-debian
/usr/share/xemacs21/site-lisp/dpkg-dev-el/debian-control-mode
/usr/share/xemacs21/site-lisp/dpkg-dev-el/debian-control-mode
/usr/share/xemacs21/site-lisp/dpkg-dev-el/debian-copyright
/usr/share/xemacs21/site-lisp/dpkg-dev-el/debian-copyright
/usr/share/xemacs21/site-lisp/dpkg-dev-el/debian-bts-control
/usr/share/xemacs21/site-lisp/dpkg-dev-el/debian-bts-control
/usr/share/xemacs21/site-lisp/dpkg-dev-el/dpkg-dev-el
/usr/share/xemacs21/site-lisp/dpkg-dev-el/dpkg-dev-el
/usr/share/xemacs21/site-lisp/emacs-goodies-el/initsplit
/usr/share/xemacs21/site-lisp/emacs-goodies-el/initsplit
/usr/share/xemacs21/site-lisp/emacs-goodies-el/pack-windows
/usr/share/xemacs21/site-lisp/emacs-goodies-el/pack-windows
/usr/share/xemacs21/site-lisp/emacs-goodies-el/rfcview
/usr/share/xemacs21/site-lisp/emacs-goodies-el/rfcview
/usr/share/xemacs21/site-lisp/emacs-goodies-el/emacs-goodies-el
/usr/share/xemacs21/site-lisp/emacs-goodies-el/emacs-goodies-el
/usr/share/xemacs21/site-lisp/emacs-goodies-el/projects
/usr/share/xemacs21/site-lisp/emacs-goodies-el/projects
/usr/share/xemacs21/site-lisp/emacs-goodies-el/browse-huge-tar
/usr/share/xemacs21/site-lisp/emacs-goodies-el/browse-huge-tar
/usr/share/xemacs21/site-lisp/emacs-goodies-el/apache-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/apache-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/nuke-trailing-whitespace
/usr/share/xemacs21/site-lisp/emacs-goodies-el/nuke-trailing-whitespace
/usr/share/xemacs21/site-lisp/emacs-goodies-el/joc-toggle-case
/usr/share/xemacs21/site-lisp/emacs-goodies-el/joc-toggle-case
/usr/share/xemacs21/site-lisp/emacs-goodies-el/session
/usr/share/xemacs21/site-lisp/emacs-goodies-el/session
/usr/share/xemacs21/site-lisp/emacs-goodies-el/filladapt
/usr/share/xemacs21/site-lisp/emacs-goodies-el/filladapt
/usr/share/xemacs21/site-lisp/emacs-goodies-el/coffee
/usr/share/xemacs21/site-lisp/emacs-goodies-el/coffee
/usr/share/xemacs21/site-lisp/emacs-goodies-el/markdown-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/markdown-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/dict
/usr/share/xemacs21/site-lisp/emacs-goodies-el/dict
/usr/share/xemacs21/site-lisp/emacs-goodies-el/shell-command
/usr/share/xemacs21/site-lisp/emacs-goodies-el/shell-command
/usr/share/xemacs21/site-lisp/emacs-goodies-el/minibuffer-complete-cycle
/usr/share/xemacs21/site-lisp/emacs-goodies-el/minibuffer-complete-cycle
/usr/share/xemacs21/site-lisp/emacs-goodies-el/highlight-completion
/usr/share/xemacs21/site-lisp/emacs-goodies-el/highlight-completion
/usr/share/xemacs21/site-lisp/emacs-goodies-el/align-string
/usr/share/xemacs21/site-lisp/emacs-goodies-el/align-string
/usr/share/xemacs21/site-lisp/emacs-goodies-el/bar-cursor
/usr/share/xemacs21/site-lisp/emacs-goodies-el/bar-cursor
/usr/share/xemacs21/site-lisp/emacs-goodies-el/ctypes
/usr/share/xemacs21/site-lisp/emacs-goodies-el/ctypes
/usr/share/xemacs21/site-lisp/emacs-goodies-el/auto-fill-inhibit
/usr/share/xemacs21/site-lisp/emacs-goodies-el/auto-fill-inhibit
/usr/share/xemacs21/site-lisp/emacs-goodies-el/protbuf
/usr/share/xemacs21/site-lisp/emacs-goodies-el/protbuf
/usr/share/xemacs21/site-lisp/emacs-goodies-el/edit-env
/usr/share/xemacs21/site-lisp/emacs-goodies-el/edit-env
/usr/share/xemacs21/site-lisp/emacs-goodies-el/table
/usr/share/xemacs21/site-lisp/emacs-goodies-el/table
/usr/share/xemacs21/site-lisp/emacs-goodies-el/tld
/usr/share/xemacs21/site-lisp/emacs-goodies-el/tld
/usr/share/xemacs21/site-lisp/emacs-goodies-el/keywiz
/usr/share/xemacs21/site-lisp/emacs-goodies-el/keywiz
/usr/share/xemacs21/site-lisp/emacs-goodies-el/ff-paths
/usr/share/xemacs21/site-lisp/emacs-goodies-el/ff-paths
/usr/share/xemacs21/site-lisp/emacs-goodies-el/wdired
/usr/share/xemacs21/site-lisp/emacs-goodies-el/wdired
/usr/share/xemacs21/site-lisp/emacs-goodies-el/marker-visit
/usr/share/xemacs21/site-lisp/emacs-goodies-el/marker-visit
/usr/share/xemacs21/site-lisp/emacs-goodies-el/ido
/usr/share/xemacs21/site-lisp/emacs-goodies-el/ido
/usr/share/xemacs21/site-lisp/emacs-goodies-el/thinks
/usr/share/xemacs21/site-lisp/emacs-goodies-el/thinks
/usr/share/xemacs21/site-lisp/emacs-goodies-el/color-theme
/usr/share/xemacs21/site-lisp/emacs-goodies-el/color-theme
/usr/share/xemacs21/site-lisp/emacs-goodies-el/floatbg
/usr/share/xemacs21/site-lisp/emacs-goodies-el/floatbg
/usr/share/xemacs21/site-lisp/emacs-goodies-el/clipper
/usr/share/xemacs21/site-lisp/emacs-goodies-el/clipper
/usr/share/xemacs21/site-lisp/emacs-goodies-el/dirvars
/usr/share/xemacs21/site-lisp/emacs-goodies-el/dirvars
/usr/share/xemacs21/site-lisp/emacs-goodies-el/framepop
/usr/share/xemacs21/site-lisp/emacs-goodies-el/framepop
/usr/share/xemacs21/site-lisp/emacs-goodies-el/silly-mail
/usr/share/xemacs21/site-lisp/emacs-goodies-el/silly-mail
/usr/share/xemacs21/site-lisp/emacs-goodies-el/sys-apropos
/usr/share/xemacs21/site-lisp/emacs-goodies-el/sys-apropos
/usr/share/xemacs21/site-lisp/emacs-goodies-el/map-lines
/usr/share/xemacs21/site-lisp/emacs-goodies-el/map-lines
/usr/share/xemacs21/site-lisp/emacs-goodies-el/setnu
/usr/share/xemacs21/site-lisp/emacs-goodies-el/setnu
/usr/share/xemacs21/site-lisp/emacs-goodies-el/tlc
/usr/share/xemacs21/site-lisp/emacs-goodies-el/tlc
/usr/share/xemacs21/site-lisp/emacs-goodies-el/cyclebuffer
/usr/share/xemacs21/site-lisp/emacs-goodies-el/cyclebuffer
/usr/share/xemacs21/site-lisp/emacs-goodies-el/emacs-goodies-custom
/usr/share/xemacs21/site-lisp/emacs-goodies-el/emacs-goodies-custom
/usr/share/xemacs21/site-lisp/emacs-goodies-el/dedicated
/usr/share/xemacs21/site-lisp/emacs-goodies-el/dedicated
/usr/share/xemacs21/site-lisp/emacs-goodies-el/boxquote
/usr/share/xemacs21/site-lisp/emacs-goodies-el/boxquote
/usr/share/xemacs21/site-lisp/emacs-goodies-el/emacs-goodies-loaddefs
/usr/share/xemacs21/site-lisp/emacs-goodies-el/emacs-goodies-loaddefs
/usr/share/xemacs21/site-lisp/emacs-goodies-el/under
/usr/share/xemacs21/site-lisp/emacs-goodies-el/under
/usr/share/xemacs21/site-lisp/emacs-goodies-el/obfusurl
/usr/share/xemacs21/site-lisp/emacs-goodies-el/obfusurl
/usr/share/xemacs21/site-lisp/emacs-goodies-el/htmlize
/usr/share/xemacs21/site-lisp/emacs-goodies-el/htmlize
/usr/share/xemacs21/site-lisp/emacs-goodies-el/matlab
/usr/share/xemacs21/site-lisp/emacs-goodies-el/matlab
/usr/share/xemacs21/site-lisp/emacs-goodies-el/mutt-alias
/usr/share/xemacs21/site-lisp/emacs-goodies-el/mutt-alias
/usr/share/xemacs21/site-lisp/emacs-goodies-el/browse-kill-ring
/usr/share/xemacs21/site-lisp/emacs-goodies-el/browse-kill-ring
/usr/share/xemacs21/site-lisp/emacs-goodies-el/tc
/usr/share/xemacs21/site-lisp/emacs-goodies-el/tc
/usr/share/xemacs21/site-lisp/emacs-goodies-el/keydef
/usr/share/xemacs21/site-lisp/emacs-goodies-el/keydef
/usr/share/xemacs21/site-lisp/emacs-goodies-el/toggle-option
/usr/share/xemacs21/site-lisp/emacs-goodies-el/toggle-option
/usr/share/xemacs21/site-lisp/emacs-goodies-el/diminish
/usr/share/xemacs21/site-lisp/emacs-goodies-el/diminish
/usr/share/xemacs21/site-lisp/emacs-goodies-el/slang-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/slang-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/df
/usr/share/xemacs21/site-lisp/emacs-goodies-el/df
/usr/share/xemacs21/site-lisp/emacs-goodies-el/joc-toggle-buffer
/usr/share/xemacs21/site-lisp/emacs-goodies-el/joc-toggle-buffer
/usr/share/xemacs21/site-lisp/emacs-goodies-el/pod-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/pod-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/home-end
/usr/share/xemacs21/site-lisp/emacs-goodies-el/home-end
/usr/share/xemacs21/site-lisp/emacs-goodies-el/muttrc-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/muttrc-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/highlight-current-line
/usr/share/xemacs21/site-lisp/emacs-goodies-el/highlight-current-line
/usr/share/xemacs21/site-lisp/emacs-goodies-el/xrdb-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/xrdb-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/egocentric
/usr/share/xemacs21/site-lisp/emacs-goodies-el/egocentric
/usr/share/xemacs21/site-lisp/emacs-goodies-el/lcomp
/usr/share/xemacs21/site-lisp/emacs-goodies-el/lcomp
/usr/share/xemacs21/site-lisp/emacs-goodies-el/maplev
/usr/share/xemacs21/site-lisp/emacs-goodies-el/maplev
/usr/share/xemacs21/site-lisp/emacs-goodies-el/all
/usr/share/xemacs21/site-lisp/emacs-goodies-el/all
/usr/share/xemacs21/site-lisp/emacs-goodies-el/cfengine
/usr/share/xemacs21/site-lisp/emacs-goodies-el/cfengine
/usr/share/xemacs21/site-lisp/emacs-goodies-el/show-wspace
/usr/share/xemacs21/site-lisp/emacs-goodies-el/show-wspace
/usr/share/xemacs21/site-lisp/emacs-goodies-el/protocols
/usr/share/xemacs21/site-lisp/emacs-goodies-el/protocols
/usr/share/xemacs21/site-lisp/emacs-goodies-el/tail
/usr/share/xemacs21/site-lisp/emacs-goodies-el/tail
/usr/share/xemacs21/site-lisp/emacs-goodies-el/cwebm
/usr/share/xemacs21/site-lisp/emacs-goodies-el/cwebm
/usr/share/xemacs21/site-lisp/emacs-goodies-el/highlight-beyond-fill-column
/usr/share/xemacs21/site-lisp/emacs-goodies-el/highlight-beyond-fill-column
/usr/share/xemacs21/site-lisp/emacs-goodies-el/folding
/usr/share/xemacs21/site-lisp/emacs-goodies-el/folding
/usr/share/xemacs21/site-lisp/emacs-goodies-el/newsticker
/usr/share/xemacs21/site-lisp/emacs-goodies-el/newsticker
/usr/share/xemacs21/site-lisp/emacs-goodies-el/perldoc
/usr/share/xemacs21/site-lisp/emacs-goodies-el/perldoc
/usr/share/xemacs21/site-lisp/emacs-goodies-el/ascii
/usr/share/xemacs21/site-lisp/emacs-goodies-el/ascii
/usr/share/xemacs21/site-lisp/emacs-goodies-el/twiddle
/usr/share/xemacs21/site-lisp/emacs-goodies-el/twiddle
/usr/share/xemacs21/site-lisp/emacs-goodies-el/services
/usr/share/xemacs21/site-lisp/emacs-goodies-el/services
/usr/share/xemacs21/site-lisp/ess/essd-s4
/usr/share/xemacs21/site-lisp/ess/essd-s4
/usr/share/xemacs21/site-lisp/ess/essl-sta
/usr/share/xemacs21/site-lisp/ess/essl-sta
/usr/share/xemacs21/site-lisp/ess/ess-mode
/usr/share/xemacs21/site-lisp/ess/ess-mode
/usr/share/xemacs21/site-lisp/ess/ess-comp
/usr/share/xemacs21/site-lisp/ess/ess-comp
/usr/share/xemacs21/site-lisp/ess/ess-send
/usr/share/xemacs21/site-lisp/ess/ess-send
/usr/share/xemacs21/site-lisp/ess/ess-help
/usr/share/xemacs21/site-lisp/ess/ess-help
/usr/share/xemacs21/site-lisp/ess/essd-vst
/usr/share/xemacs21/site-lisp/ess/essd-vst
/usr/share/xemacs21/site-lisp/ess/essl-sas
/usr/share/xemacs21/site-lisp/ess/essl-sas
/usr/share/xemacs21/site-lisp/ess/ess-mous
/usr/share/xemacs21/site-lisp/ess/ess-mous
/usr/share/xemacs21/site-lisp/ess/noweb-mode
/usr/share/xemacs21/site-lisp/ess/noweb-mode
/usr/share/xemacs21/site-lisp/ess/ess-dde
/usr/share/xemacs21/site-lisp/ess/ess-dde
/usr/share/xemacs21/site-lisp/ess/essd-omg
/usr/share/xemacs21/site-lisp/ess/essd-omg
/usr/share/xemacs21/site-lisp/ess/noweb-font-lock-mode
/usr/share/xemacs21/site-lisp/ess/noweb-font-lock-mode
/usr/share/xemacs21/site-lisp/ess/essd-s3
/usr/share/xemacs21/site-lisp/ess/essd-s3
/usr/share/xemacs21/site-lisp/ess/essd-sp3
/usr/share/xemacs21/site-lisp/ess/essd-sp3
/usr/share/xemacs21/site-lisp/ess/ess-cust
/usr/share/xemacs21/site-lisp/ess/ess-cust
/usr/share/xemacs21/site-lisp/ess/ess-inf
/usr/share/xemacs21/site-lisp/ess/ess-inf
/usr/share/xemacs21/site-lisp/ess/ess-menu
/usr/share/xemacs21/site-lisp/ess/ess-menu
/usr/share/xemacs21/site-lisp/ess/essl-omg
/usr/share/xemacs21/site-lisp/ess/essl-omg
/usr/share/xemacs21/site-lisp/ess/ess-noweb
/usr/share/xemacs21/site-lisp/ess/ess-noweb
/usr/share/xemacs21/site-lisp/ess/ess-rdired
/usr/share/xemacs21/site-lisp/ess/ess-rdired
/usr/share/xemacs21/site-lisp/ess/essa-sas
/usr/share/xemacs21/site-lisp/ess/essa-sas
/usr/share/xemacs21/site-lisp/ess/ess-send2
/usr/share/xemacs21/site-lisp/ess/ess-send2
/usr/share/xemacs21/site-lisp/ess/essd-sas
/usr/share/xemacs21/site-lisp/ess/essd-sas
/usr/share/xemacs21/site-lisp/ess/essd-sp6w
/usr/share/xemacs21/site-lisp/ess/essd-sp6w
/usr/share/xemacs21/site-lisp/ess/ess
/usr/share/xemacs21/site-lisp/ess/ess
/usr/share/xemacs21/site-lisp/ess/ess-emcs
/usr/share/xemacs21/site-lisp/ess/ess-emcs
/usr/share/xemacs21/site-lisp/ess/essd-arc
/usr/share/xemacs21/site-lisp/ess/essd-arc
/usr/share/xemacs21/site-lisp/ess/ess-toolbar
/usr/share/xemacs21/site-lisp/ess/ess-toolbar
/usr/share/xemacs21/site-lisp/ess/essl-s
/usr/share/xemacs21/site-lisp/ess/essl-s
/usr/share/xemacs21/site-lisp/ess/essa-r
/usr/share/xemacs21/site-lisp/ess/essa-r
/usr/share/xemacs21/site-lisp/ess/ess-utils
/usr/share/xemacs21/site-lisp/ess/ess-utils
/usr/share/xemacs21/site-lisp/ess/ess-trns
/usr/share/xemacs21/site-lisp/ess/ess-trns
/usr/share/xemacs21/site-lisp/ess/ess-site
/usr/share/xemacs21/site-lisp/ess/ess-site
/usr/share/xemacs21/site-lisp/ess/essd-xls
/usr/share/xemacs21/site-lisp/ess/essd-xls
/usr/share/xemacs21/site-lisp/ess/ess-swv
/usr/share/xemacs21/site-lisp/ess/ess-swv
/usr/share/xemacs21/site-lisp/ess/essl-lsp
/usr/share/xemacs21/site-lisp/ess/essl-lsp
/usr/share/xemacs21/site-lisp/ess/essd-sp5
/usr/share/xemacs21/site-lisp/ess/essd-sp5
/usr/share/xemacs21/site-lisp/ess/essd-els
/usr/share/xemacs21/site-lisp/ess/essd-els
/usr/share/xemacs21/site-lisp/ess/ess-latex
/usr/share/xemacs21/site-lisp/ess/ess-latex
/usr/share/xemacs21/site-lisp/ess/essd-sta
/usr/share/xemacs21/site-lisp/ess/essd-sta
/usr/share/xemacs21/site-lisp/ess/essl-bug
/usr/share/xemacs21/site-lisp/ess/essl-bug
/usr/share/xemacs21/site-lisp/ess/essd-sp4
/usr/share/xemacs21/site-lisp/ess/essd-sp4
/usr/share/xemacs21/site-lisp/ess/essd-sp6
/usr/share/xemacs21/site-lisp/ess/essd-sp6
/usr/share/xemacs21/site-lisp/ess/ess-install
/usr/share/xemacs21/site-lisp/ess/ess-install
/usr/share/xemacs21/site-lisp/ess/essd-r
/usr/share/xemacs21/site-lisp/ess/essd-r
/usr/share/xemacs21/site-lisp/ess/essddr
/usr/share/xemacs21/site-lisp/ess/essddr
/usr/share/xemacs21/site-lisp/ess/ess-font-lock
/usr/share/xemacs21/site-lisp/ess/ess-font-lock
/usr/share/xemacs21/site-lisp/ess/msdos
/usr/share/xemacs21/site-lisp/ess/msdos
/usr/share/xemacs21/site-lisp/ess/ess-debug
/usr/share/xemacs21/site-lisp/ess/ess-debug
/usr/share/xemacs21/site-lisp/ess/mouseme
/usr/share/xemacs21/site-lisp/ess/mouseme
/usr/share/xemacs21/site-lisp/ess/make-regexp
/usr/share/xemacs21/site-lisp/ess/make-regexp
/usr/share/xemacs21/site-lisp/namazu/gnus-nmz-1
/usr/share/xemacs21/site-lisp/namazu/gnus-nmz-1
/usr/share/xemacs21/site-lisp/namazu/namazu
/usr/share/xemacs21/site-lisp/namazu/namazu
/usr/share/xemacs21/site-lisp/php-mode/php3-mode
/usr/share/xemacs21/site-lisp/php-mode/php3-mode
/usr/share/xemacs21/site-lisp/php-mode/php-mode
/usr/share/xemacs21/site-lisp/php-mode/php-mode
/usr/share/xemacs21/site-lisp/w3m/w3m-bookmark
/usr/share/xemacs21/site-lisp/w3m/w3m-bookmark
/usr/share/xemacs21/site-lisp/w3m/w3m-image
/usr/share/xemacs21/site-lisp/w3m/w3m-image
/usr/share/xemacs21/site-lisp/w3m/w3m-hist
/usr/share/xemacs21/site-lisp/w3m/w3m-hist
/usr/share/xemacs21/site-lisp/w3m/w3m-ucs
/usr/share/xemacs21/site-lisp/w3m/w3m-ucs
/usr/share/xemacs21/site-lisp/w3m/w3m-xmas
/usr/share/xemacs21/site-lisp/w3m/w3m-xmas
/usr/share/xemacs21/site-lisp/w3m/w3m-bug
/usr/share/xemacs21/site-lisp/w3m/w3m-bug
/usr/share/xemacs21/site-lisp/w3m/w3m-weather
/usr/share/xemacs21/site-lisp/w3m/w3m-weather
/usr/share/xemacs21/site-lisp/w3m/w3m-proc
/usr/share/xemacs21/site-lisp/w3m/w3m-proc
/usr/share/xemacs21/site-lisp/w3m/w3m-favicon
/usr/share/xemacs21/site-lisp/w3m/w3m-favicon
/usr/share/xemacs21/site-lisp/w3m/w3m-tabmenu
/usr/share/xemacs21/site-lisp/w3m/w3m-tabmenu
/usr/share/xemacs21/site-lisp/w3m/w3m-perldoc
/usr/share/xemacs21/site-lisp/w3m/w3m-perldoc
/usr/share/xemacs21/site-lisp/w3m/w3m-filter
/usr/share/xemacs21/site-lisp/w3m/w3m-filter
/usr/share/xemacs21/site-lisp/w3m/w3m-load
/usr/share/xemacs21/site-lisp/w3m/w3m-load
/usr/share/xemacs21/site-lisp/w3m/mew-w3m
/usr/share/xemacs21/site-lisp/w3m/mew-w3m
/usr/share/xemacs21/site-lisp/w3m/w3m-dtree
/usr/share/xemacs21/site-lisp/w3m/w3m-dtree
/usr/share/xemacs21/site-lisp/w3m/w3m-symbol
/usr/share/xemacs21/site-lisp/w3m/w3m-symbol
/usr/share/xemacs21/site-lisp/w3m/w3m-e19
/usr/share/xemacs21/site-lisp/w3m/w3m-e19
/usr/share/xemacs21/site-lisp/w3m/w3m-e21
/usr/share/xemacs21/site-lisp/w3m/w3m-e21
/usr/share/xemacs21/site-lisp/w3m/w3m-form
/usr/share/xemacs21/site-lisp/w3m/w3m-form
/usr/share/xemacs21/site-lisp/w3m/w3m-search
/usr/share/xemacs21/site-lisp/w3m/w3m-search
/usr/share/xemacs21/site-lisp/w3m/w3m-ccl
/usr/share/xemacs21/site-lisp/w3m/w3m-ccl
/usr/share/xemacs21/site-lisp/w3m/w3m-cookie
/usr/share/xemacs21/site-lisp/w3m/w3m-cookie
/usr/share/xemacs21/site-lisp/w3m/w3m-rss
/usr/share/xemacs21/site-lisp/w3m/w3m-rss
/usr/share/xemacs21/site-lisp/w3m/w3m
/usr/share/xemacs21/site-lisp/w3m/w3m
/usr/share/xemacs21/site-lisp/w3m/w3m-fsf
/usr/share/xemacs21/site-lisp/w3m/w3m-fsf
/usr/share/xemacs21/site-lisp/w3m/octet
/usr/share/xemacs21/site-lisp/w3m/octet
/usr/share/xemacs21/site-lisp/w3m/w3m-e20
/usr/share/xemacs21/site-lisp/w3m/w3m-e20
/usr/share/xemacs21/site-lisp/w3m/w3m-namazu
/usr/share/xemacs21/site-lisp/w3m/w3m-namazu
/usr/share/xemacs21/site-lisp/w3m/w3mhack
/usr/share/xemacs21/site-lisp/w3m/w3mhack
/usr/share/xemacs21/site-lisp/w3m/w3m-antenna
/usr/share/xemacs21/site-lisp/w3m/w3m-antenna
/usr/share/xemacs21/site-lisp/w3m/w3m-lnum
/usr/share/xemacs21/site-lisp/w3m/w3m-lnum
/usr/share/xemacs21/site-lisp/w3m/mime-w3m
/usr/share/xemacs21/site-lisp/w3m/mime-w3m
/usr/share/xemacs21/site-lisp/w3m/w3m-util
/usr/share/xemacs21/site-lisp/w3m/w3m-util
/usr/share/xemacs21/site-lisp/w3m/w3m-bitmap
/usr/share/xemacs21/site-lisp/w3m/w3m-bitmap
/usr/share/xemacs21/site-lisp/w3m/w3m-om
/usr/share/xemacs21/site-lisp/w3m/w3m-om
/z/kat/linux/adsj/elisp/extra/psvn /usr/share/emacs/site-lisp/psvn
/usr/share/xemacs21/site-lisp/debian-startup
/usr/share/emacs/site-lisp/debian-startup /etc/emacs/site-start
/usr/share/xemacs21/site-packages/lisp/site-start
/usr/share/xemacs21/site-lisp/emacs-goodies-el/ctypes
/usr/share/xemacs21/xemacs-packages/lisp/c-support/ctypes
/z/kat/linux/adsj/elisp/gnus/lisp/hex-util
/usr/share/xemacs21/xemacs-packages/lisp/ecrypto/hex-util
/z/kat/linux/adsj/elisp/gnus/lisp/encrypt
/usr/share/xemacs21/xemacs-packages/lisp/ecrypto/encrypt
/z/kat/linux/adsj/elisp/gnus/lisp/md4
/usr/share/xemacs21/xemacs-packages/lisp/ecrypto/md4
/z/kat/linux/adsj/elisp/gnus/lisp/sha1
/usr/share/xemacs21/xemacs-packages/lisp/ecrypto/sha1
/usr/share/xemacs21/site-lisp/emacs-goodies-el/setnu
/usr/share/xemacs21/xemacs-packages/lisp/edit-utils/setnu
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-vm
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-vm
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-async
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-async
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-sum
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-sum
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-util
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-util
/z/kat/linux/adsj/elisp/gnus/lisp/parse-time
/usr/share/xemacs21/xemacs-packages/lisp/gnus/parse-time
/z/kat/linux/adsj/elisp/gnus/lisp/mml2015
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mml2015
/z/kat/linux/adsj/elisp/gnus/lisp/spam-report
/usr/share/xemacs21/xemacs-packages/lisp/gnus/spam-report
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-ml
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-ml
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-diary
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-diary
/z/kat/linux/adsj/elisp/gnus/lisp/message
/usr/share/xemacs21/xemacs-packages/lisp/gnus/message
/z/kat/linux/adsj/elisp/gnus/lisp/mml-smime
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mml-smime
/z/kat/linux/adsj/elisp/gnus/lisp/mm-url
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mm-url
/z/kat/linux/adsj/elisp/gnus/lisp/ietf-drums
/usr/share/xemacs21/xemacs-packages/lisp/gnus/ietf-drums
/z/kat/linux/adsj/elisp/gnus/lisp/mm-decode
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mm-decode
/z/kat/linux/adsj/elisp/gnus/lisp/hashcash
/usr/share/xemacs21/xemacs-packages/lisp/gnus/hashcash
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-draft
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-draft
/z/kat/linux/adsj/elisp/gnus/lisp/nnmail
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnmail
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-cache
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-cache
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-spec
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-spec
/z/kat/linux/adsj/elisp/gnus/lisp/mail-prsvr
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mail-prsvr
/z/kat/linux/adsj/elisp/gnus/lisp/nnsoup
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnsoup
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-art
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-art
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-soup
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-soup
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-ems
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-ems
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-load
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-load
/z/kat/linux/adsj/elisp/gnus/lisp/nnimap
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnimap
/z/kat/linux/adsj/elisp/gnus/lisp/nntp
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nntp
/z/kat/linux/adsj/elisp/gnus/lisp/legacy-gnus-agent
/usr/share/xemacs21/xemacs-packages/lisp/gnus/legacy-gnus-agent
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-cite
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-cite
/z/kat/linux/adsj/elisp/gnus/lisp/mail-parse
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mail-parse
/z/kat/linux/adsj/elisp/gnus/lisp/mml1991
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mml1991
/z/kat/linux/adsj/elisp/gnus/lisp/mm-extern
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mm-extern
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-fun
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-fun
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-dired
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-dired
/z/kat/linux/adsj/elisp/gnus/lisp/nnrss
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnrss
/z/kat/linux/adsj/elisp/gnus/lisp/nnnil
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnnil
/z/kat/linux/adsj/elisp/gnus/lisp/nngateway
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nngateway
/z/kat/linux/adsj/elisp/gnus/lisp/rfc2045
/usr/share/xemacs21/xemacs-packages/lisp/gnus/rfc2045
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-eform
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-eform
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-undo
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-undo
/z/kat/linux/adsj/elisp/gnus/lisp/rfc2047
/usr/share/xemacs21/xemacs-packages/lisp/gnus/rfc2047
/z/kat/linux/adsj/elisp/gnus/lisp/yenc
/usr/share/xemacs21/xemacs-packages/lisp/gnus/yenc
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-cus
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-cus
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-move
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-move
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-agent
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-agent
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-sieve
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-sieve
/z/kat/linux/adsj/elisp/gnus/lisp/canlock
/usr/share/xemacs21/xemacs-packages/lisp/gnus/canlock
/z/kat/linux/adsj/elisp/gnus/lisp/compface
/usr/share/xemacs21/xemacs-packages/lisp/gnus/compface
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-mlspl
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-mlspl
/z/kat/linux/adsj/elisp/gnus/lisp/nnmaildir
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnmaildir
/z/kat/linux/adsj/elisp/gnus/lisp/nndoc
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nndoc
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-audio
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-audio
/z/kat/linux/adsj/elisp/gnus/lisp/rfc1843
/usr/share/xemacs21/xemacs-packages/lisp/gnus/rfc1843
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-uu
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-uu
/z/kat/linux/adsj/elisp/gnus/lisp/nnmh
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnmh
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-range
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-range
/z/kat/linux/adsj/elisp/gnus/lisp/nnweb
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnweb
/z/kat/linux/adsj/elisp/gnus/lisp/imap
/usr/share/xemacs21/xemacs-packages/lisp/gnus/imap
/z/kat/linux/adsj/elisp/gnus/lisp/deuglify
/usr/share/xemacs21/xemacs-packages/lisp/gnus/deuglify
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-mh
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-mh
/z/kat/linux/adsj/elisp/gnus/lisp/nnheader
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnheader
/z/kat/linux/adsj/elisp/gnus/lisp/mail-source
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mail-source
/z/kat/linux/adsj/elisp/gnus/lisp/nnwfm
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnwfm
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-msg
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-msg
/z/kat/linux/adsj/elisp/gnus/lisp/mm-util
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mm-util
/z/kat/linux/adsj/elisp/gnus/lisp/nnagent
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnagent
/z/kat/linux/adsj/elisp/gnus/lisp/messagexmas
/usr/share/xemacs21/xemacs-packages/lisp/gnus/messagexmas
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-int
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-int
/z/kat/linux/adsj/elisp/gnus/lisp/nnbabyl
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnbabyl
/z/kat/linux/adsj/elisp/gnus/lisp/mm-view
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mm-view
/z/kat/linux/adsj/elisp/gnus/lisp/webmail
/usr/share/xemacs21/xemacs-packages/lisp/gnus/webmail
/z/kat/linux/adsj/elisp/gnus/lisp/html2text
/usr/share/xemacs21/xemacs-packages/lisp/gnus/html2text
/z/kat/linux/adsj/elisp/gnus/lisp/mm-partial
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mm-partial
/z/kat/linux/adsj/elisp/gnus/lisp/nnml
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnml
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-group
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-group
/z/kat/linux/adsj/elisp/gnus/lisp/spam-stat
/usr/share/xemacs21/xemacs-packages/lisp/gnus/spam-stat
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-topic
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-topic
/z/kat/linux/adsj/elisp/gnus/lisp/mm-bodies
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mm-bodies
/z/kat/linux/adsj/elisp/gnus/lisp/nndir
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nndir
/z/kat/linux/adsj/elisp/gnus/lisp/mml
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mml
/z/kat/linux/adsj/elisp/gnus/lisp/nnspool
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnspool
/z/kat/linux/adsj/elisp/gnus/lisp/binhex
/usr/share/xemacs21/xemacs-packages/lisp/gnus/binhex
/z/kat/linux/adsj/elisp/gnus/lisp/score-mode
/usr/share/xemacs21/xemacs-packages/lisp/gnus/score-mode
/z/kat/linux/adsj/elisp/gnus/lisp/utf7
/usr/share/xemacs21/xemacs-packages/lisp/gnus/utf7
/z/kat/linux/adsj/elisp/gnus/lisp/nnkiboze
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnkiboze
/z/kat/linux/adsj/elisp/gnus/lisp/nndiary
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nndiary
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-xmas
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-xmas
/z/kat/linux/adsj/elisp/gnus/lisp/earcon
/usr/share/xemacs21/xemacs-packages/lisp/gnus/earcon
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-demon
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-demon
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-logic
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-logic
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-start
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-start
/z/kat/linux/adsj/elisp/gnus/lisp/nnoo
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnoo
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-nocem
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-nocem
/z/kat/linux/adsj/elisp/gnus/lisp/nnmbox
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnmbox
/z/kat/linux/adsj/elisp/gnus/lisp/messcompat
/usr/share/xemacs21/xemacs-packages/lisp/gnus/messcompat
/z/kat/linux/adsj/elisp/gnus/lisp/nndraft
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nndraft
/z/kat/linux/adsj/elisp/gnus/lisp/smime
/usr/share/xemacs21/xemacs-packages/lisp/gnus/smime
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-picon
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-picon
/z/kat/linux/adsj/elisp/gnus/lisp/spam
/usr/share/xemacs21/xemacs-packages/lisp/gnus/spam
/z/kat/linux/adsj/elisp/gnus/lisp/nnlistserv
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnlistserv
/z/kat/linux/adsj/elisp/gnus/lisp/mml-sec
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mml-sec
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-delay
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-delay
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-salt
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-salt
/z/kat/linux/adsj/elisp/gnus/lisp/gnus
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus
/z/kat/linux/adsj/elisp/gnus/lisp/nnfolder
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnfolder
/z/kat/linux/adsj/elisp/gnus/lisp/mailcap
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mailcap
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-kill
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-kill
/z/kat/linux/adsj/elisp/gnus/lisp/nndb
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nndb
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-setup
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-setup
/z/kat/linux/adsj/elisp/gnus/lisp/nneething
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nneething
/z/kat/linux/adsj/elisp/gnus/lisp/nnheaderxm
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnheaderxm
/z/kat/linux/adsj/elisp/gnus/lisp/flow-fill
/usr/share/xemacs21/xemacs-packages/lisp/gnus/flow-fill
/z/kat/linux/adsj/elisp/gnus/lisp/mm-encode
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mm-encode
/z/kat/linux/adsj/elisp/gnus/lisp/dgnushack
/usr/share/xemacs21/xemacs-packages/lisp/gnus/dgnushack
/z/kat/linux/adsj/elisp/gnus/lisp/rfc2231
/usr/share/xemacs21/xemacs-packages/lisp/gnus/rfc2231
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-win
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-win
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-score
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-score
/z/kat/linux/adsj/elisp/gnus/lisp/nnslashdot
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnslashdot
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-srvr
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-srvr
/z/kat/linux/adsj/elisp/gnus/lisp/nnwarchive
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnwarchive
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-registry
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-registry
/z/kat/linux/adsj/elisp/gnus/lisp/nnultimate
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnultimate
/z/kat/linux/adsj/elisp/gnus/lisp/mm-uu
/usr/share/xemacs21/xemacs-packages/lisp/gnus/mm-uu
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-dup
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-dup
/z/kat/linux/adsj/elisp/gnus/lisp/smiley
/usr/share/xemacs21/xemacs-packages/lisp/gnus/smiley
/z/kat/linux/adsj/elisp/gnus/lisp/uudecode
/usr/share/xemacs21/xemacs-packages/lisp/gnus/uudecode
/z/kat/linux/adsj/elisp/gnus/lisp/qp
/usr/share/xemacs21/xemacs-packages/lisp/gnus/qp
/z/kat/linux/adsj/elisp/gnus/lisp/time-date
/usr/share/xemacs21/xemacs-packages/lisp/gnus/time-date
/z/kat/linux/adsj/elisp/gnus/lisp/format-spec
/usr/share/xemacs21/xemacs-packages/lisp/gnus/format-spec
/z/kat/linux/adsj/elisp/gnus/lisp/nnvirtual
/usr/share/xemacs21/xemacs-packages/lisp/gnus/nnvirtual
/z/kat/linux/adsj/elisp/gnus/lisp/gnus-bcklg
/usr/share/xemacs21/xemacs-packages/lisp/gnus/gnus-bcklg
/usr/share/xemacs21/site-lisp/dictionaries-common/ispell
/usr/share/xemacs21/xemacs-packages/lisp/ispell/ispell
/z/kat/linux/adsj/elisp/gnus/lisp/tls
/usr/share/xemacs21/xemacs-packages/lisp/mail-lib/tls
/z/kat/linux/adsj/elisp/gnus/lisp/pop3
/usr/share/xemacs21/xemacs-packages/lisp/mail-lib/pop3
/z/kat/linux/adsj/elisp/gnus/lisp/netrc
/usr/share/xemacs21/xemacs-packages/lisp/mail-lib/netrc
/z/kat/linux/adsj/elisp/gnus/lisp/rfc2104
/usr/share/xemacs21/xemacs-packages/lisp/mail-lib/rfc2104
/z/kat/linux/adsj/elisp/gnus/lisp/starttls
/usr/share/xemacs21/xemacs-packages/lisp/mail-lib/starttls
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-region
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-region
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-univ
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-univ
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-utils
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-utils
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-auto
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-auto
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-compat
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-compat
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-mode
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-mode
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-rpm
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-rpm
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-cmds
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-cmds
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-mason
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-mason
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-class
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-class
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-vars
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-vars
/usr/share/xemacs21/site-lisp/mmm-mode/mmm-sample
/usr/share/xemacs21/xemacs-packages/lisp/mmm-mode/mmm-sample
/z/kat/linux/adsj/elisp/gnus/lisp/dns-mode
/usr/share/xemacs21/xemacs-packages/lisp/net-utils/dns-mode
/z/kat/linux/adsj/elisp/gnus/lisp/dig
/usr/share/xemacs21/xemacs-packages/lisp/net-utils/dig
/z/kat/linux/adsj/elisp/gnus/lisp/dns
/usr/share/xemacs21/xemacs-packages/lisp/net-utils/dns
/z/kat/linux/adsj/elisp/gnus/lisp/pgg-def
/usr/share/xemacs21/xemacs-packages/lisp/pgg/pgg-def
/z/kat/linux/adsj/elisp/gnus/lisp/pgg-parse
/usr/share/xemacs21/xemacs-packages/lisp/pgg/pgg-parse
/z/kat/linux/adsj/elisp/gnus/lisp/pgg-pgp5
/usr/share/xemacs21/xemacs-packages/lisp/pgg/pgg-pgp5
/z/kat/linux/adsj/elisp/gnus/lisp/pgg-gpg
/usr/share/xemacs21/xemacs-packages/lisp/pgg/pgg-gpg
/z/kat/linux/adsj/elisp/gnus/lisp/pgg-pgp
/usr/share/xemacs21/xemacs-packages/lisp/pgg/pgg-pgp
/z/kat/linux/adsj/elisp/gnus/lisp/pgg
/usr/share/xemacs21/xemacs-packages/lisp/pgg/pgg
/usr/share/xemacs21/site-lisp/php-mode/php-mode
/usr/share/xemacs21/xemacs-packages/lisp/prog-modes/php-mode
/z/kat/linux/adsj/elisp/gnus/lisp/sasl-cram
/usr/share/xemacs21/xemacs-packages/lisp/sasl/sasl-cram
/z/kat/linux/adsj/elisp/gnus/lisp/sasl-digest
/usr/share/xemacs21/xemacs-packages/lisp/sasl/sasl-digest
/z/kat/linux/adsj/elisp/gnus/lisp/hmac-md5
/usr/share/xemacs21/xemacs-packages/lisp/sasl/hmac-md5
/z/kat/linux/adsj/elisp/gnus/lisp/ntlm
/usr/share/xemacs21/xemacs-packages/lisp/sasl/ntlm
/z/kat/linux/adsj/elisp/gnus/lisp/sasl-ntlm
/usr/share/xemacs21/xemacs-packages/lisp/sasl/sasl-ntlm
/z/kat/linux/adsj/elisp/gnus/lisp/sasl
/usr/share/xemacs21/xemacs-packages/lisp/sasl/sasl
/z/kat/linux/adsj/elisp/gnus/lisp/hmac-def
/usr/share/xemacs21/xemacs-packages/lisp/sasl/hmac-def
/z/kat/linux/adsj/elisp/gnus/lisp/sieve-manage
/usr/share/xemacs21/xemacs-packages/lisp/sieve/sieve-manage
/z/kat/linux/adsj/elisp/gnus/lisp/sieve
/usr/share/xemacs21/xemacs-packages/lisp/sieve/sieve
/z/kat/linux/adsj/elisp/gnus/lisp/sieve-mode
/usr/share/xemacs21/xemacs-packages/lisp/sieve/sieve-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/filladapt
/usr/share/xemacs21/xemacs-packages/lisp/text-modes/filladapt
/usr/share/xemacs21/site-lisp/dictionaries-common/flyspell
/usr/share/xemacs21/xemacs-packages/lisp/text-modes/flyspell
/usr/share/xemacs21/site-lisp/emacs-goodies-el/htmlize
/usr/share/xemacs21/xemacs-packages/lisp/text-modes/htmlize
/usr/share/xemacs21/site-lisp/emacs-goodies-el/xrdb-mode
/usr/share/xemacs21/xemacs-packages/lisp/text-modes/xrdb-mode
/usr/share/xemacs21/site-lisp/emacs-goodies-el/folding
/usr/share/xemacs21/xemacs-packages/lisp/text-modes/folding
/usr/share/xemacs21/site-lisp/emacs-goodies-el/apache-mode
/usr/share/xemacs21/xemacs-packages/lisp/text-modes/apache-mode
/usr/share/xemacs21/xemacs-packages/lisp/build/build-report
/usr/lib/xemacs-21.4.21/lisp/build-report)

Installed XEmacs Packages:
-------------------------
(zenirc ver: 1.16 upstream: 2.112)
(xwem ver: 1.22 upstream: lg at xwem.org--2005/xwem--main--2.1--versionfix-1)
(xslt-process ver: 1.12 upstream: 1.2.1)
(xslide ver: 1.09 upstream: 0.2.2)
(xlib ver: 1.14 upstream: lg at xwem.org--2005/xlib--main--2.1--version-0)
(xetla ver: 1.01 upstream: steve at eicq.org--2005/xetla--main--1.1--version-0)
(xemacs-devel ver: 1.75 upstream: No-Upstream-Ver)
(xemacs-base ver: 2.1 upstream: No-Upstream-Ver)
(x-symbol ver: 1.1 upstream: 4.5.1)
(w3 ver: 1.33 upstream: 4.0pre47)
(vm ver: 7.22 upstream: 7.17)
(viper ver: 1.55 upstream: 3.09)
(view-process ver: 1.13 upstream: 2.4)
(vhdl ver: 1.22 upstream: 3.33.12)
(vc-cc ver: 1.22 upstream: No-Upstream-Ver)
(vc ver: 1.41 upstream: No-Upstream-Ver)
(tramp ver: 1.37 upstream: 2.0.55)
(tpu ver: 1.14 upstream: 4.2X)
(tooltalk ver: 1.15 upstream: No-Upstream-Ver)
(tm ver: 1.38 upstream: No-Upstream-Ver)
(time ver: 1.14 upstream: 1.17)
(textools ver: 1.15 upstream: No-Upstream-Ver)
(text-modes ver: 1.92 upstream: No-Upstream-Ver)
(texinfo ver: 1.3 upstream: No-Upstream-Ver)
(supercite ver: 1.21 upstream: 3.55x3)
(strokes ver: 1.1 upstream: No-Upstream-Ver)
(speedbar ver: 1.28 upstream: 0.14beta4)
(sounds-wav ver: 1.12 upstream: No-Upstream-Ver)
(sounds-au ver: 1.12 upstream: No-Upstream-Ver)
(sml-mode ver: 0.12 upstream: 3.9.5)
(slider ver: 1.15 upstream: 0.3x1)
(sieve ver: 1.18 upstream: No-Upstream-Ver)
(sh-script ver: 1.22 upstream: 2.0f)
(sgml ver: 1.11 upstream: No-Upstream-Ver)
(semantic ver: 1.2 upstream: 1.4.4)
(scheme ver: 1.15 upstream: No-Upstream-Ver)
(sasl ver: 1.16 upstream: 1.14.4)
(ruby-modes ver: 1.02 upstream: 1.6.8)
(rmail ver: 1.14 upstream: No-Upstream-Ver)
(riece ver: 1.23 upstream: 3.1.2)
(reftex ver: 1.34 upstream: 4.21)
(re-builder ver: 1.05 upstream: 1.20)
(python-modes ver: 1.08 upstream: No-Upstream-Ver)
(psgml-dtds ver: 1.03 upstream: No-Upstream-Ver)
(psgml ver: 1.44 upstream: 1.3.1)
(ps-print ver: 1.11 upstream: 6.5.6)
(prog-modes ver: 2.1 upstream: No-Upstream-Ver)
(pgg ver: 1.06 upstream: 0.1)
(perl-modes ver: 1.09 upstream: No-Upstream-Ver)
(pcomplete ver: 1.04 upstream: 1.1.6)
(pcl-cvs ver: 1.67 upstream: R-2_9_9)
(pc ver: 1.28 upstream: No-Upstream-Ver)
(os-utils ver: 1.39 upstream: No-Upstream-Ver)
(oo-browser ver: 1.04 upstream: 4.08)
(ocaml ver: 0.06 upstream: 3.06)
(net-utils ver: 1.52 upstream: N/A)
(mmm-mode ver: 1.02 upstream: 0.4.7)
(misc-games ver: 1.19 upstream: No-Upstream-Ver)
(mine ver: 1.16 upstream: 1.9)
(mh-e ver: 1.29 upstream: 7.4.2)
(mew ver: 1.19 upstream: 1.94.2)
(mailcrypt ver: 2.14 upstream: 3.5.8)
(mail-lib ver: 1.79 upstream: No-Upstream-Ver)
(jde ver: 1.51 upstream: 2.3.3)
(ispell ver: 1.32 upstream: 3.6)
(ilisp ver: 1.34 upstream: 5.12.0)
(igrep ver: 1.14 upstream: 2.111)
(idlwave ver: 1.32 upstream: 5.1)
(ibuffer ver: 1.09 upstream: No-Upstream-Ver)
(hyperbole ver: 1.16 upstream: 4.18)
(hm--html-menus ver: 1.23 upstream: 5.9)
(haskell-mode ver: 1.11 upstream: 2.1)
(gnus ver: 1.91 upstream: 5.10.8)
(gnats ver: 1.17 upstream: 3.101)
(general-docs ver: 1.04 upstream: No-Upstream-Ver)
(games ver: 1.17 upstream: 1.04)
(fsf-compat ver: 1.15 upstream: No-Upstream-Ver)
(frame-icon ver: 1.11 upstream: No-Upstream-Ver)
(fortran-modes ver: 1.05 upstream: No-Upstream-Ver)
(forms ver: 1.15 upstream: 2.37)
(footnote ver: 1.16 upstream: 0.18x)
(eudc ver: 1.39 upstream: 1.32)
(eterm ver: 1.17 upstream: No-Upstream-Ver)
(eshell ver: 1.1 upstream: 2.4.1)
(escreen ver: 1.01 upstream: 1.16)
(erc ver: 0.21 upstream: Version 5.1.2 Revision: 1.796.2.6)
(emerge ver: 1.11 upstream: No-Upstream-Ver)
(elib ver: 1.11 upstream: 1.0)
(eieio ver: 1.05 upstream: 0.17)
(efs ver: 1.33 upstream: 1.23)
(edt ver: 1.13 upstream: No-Upstream-Ver)
(edit-utils ver: 2.37 upstream: No-Upstream-Ver)
(ediff ver: 1.68 upstream: 2.75)
(edebug ver: 1.22 upstream: No-Upstream-Ver)
(ecrypto ver: 0.2 upstream: 2.0)
(ecb ver: 1.22 upstream: 2.31)
(docbookide ver: 0.08 upstream: 0.1)
(dired ver: 1.17 upstream: 7.13)
(dictionary ver: 1.16 upstream: 1.8)
(debug ver: 1.18 upstream: No-Upstream-Ver)
(crisp ver: 1.15 upstream: 1.34)
(cookie ver: 1.15 upstream: No-Upstream-Ver)
(clearcase ver: 1.1 upstream: /main/laptop/165)
(cc-mode ver: 1.45 upstream: 5.30.10)
(calendar ver: 1.32 upstream: No-Upstream-Ver)
(calc ver: 1.26 upstream: 2.02fX3)
(c-support ver: 1.22 upstream: No-Upstream-Ver)
(build ver: 1.14 upstream: 2.02)
(bbdb ver: 1.32 upstream: 2.35)
(auctex ver: 1.47 upstream: 11.55)
(apel ver: 1.32 upstream: 10.6)
(ada ver: 1.14 upstream: 2.27)
(Sun ver: 1.16 upstream: No-Upstream-Ver)
(skk ver: 1.23 upstream: 10.62a)
(mule-ucs ver: 1.14 upstream: 0.84)
(mule-base ver: 1.49 upstream: No-Upstream-Ver)
(lookup ver: 1.15 upstream: 1.0)
(locale ver: 1.24 upstream: No-Upstream-Ver)
(leim ver: 1.24 upstream: No-Upstream-Ver)
(latin-unity ver: 1.2 upstream: 1.20)
(latin-euro-standards ver: 1.07 upstream: 1.07)
(egg-its ver: 1.27 upstream: No-Upstream-Ver)
(edict ver: 1.16 upstream: 0.9.9)

Installed Modules:
-----------------

Features:
--------

(xemacsbug shadow gnus-topic utf7 passwd imap auth-source nnml nndraft
nnmh efs-cu bbdb-gnus bbdb-snarf nnnil gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015 pgg pgg-parse
pgg-def mm-view smime dig gnus-cache gnus-demon nntp mail-extr mozmail
paren blink-paren edmacro tex-site cperl-mode git ewoc vc-git darcsum
psvn log-edit pcl-cvs-util cvs-compat dired-faces dired-xemacs dired
add-log diff-mode vc vc-hooks mmm-mode mmm-univ mmm-class mmm-region
mmm-utils gnuserv bbdb-xemacs bbdb-gui bbdb-com bbdb timezone
gnus-namazu byte-optimize bytecomp byte-compile advice advice-preload
gnus-sum gnus-group gnus-undo gnus-start gnus-spec gnus-win nnmail
gnus-int gnus-range mail-source format-spec message ecomplete mml
mml-sec password-cache mm-decode mm-bodies mm-encode mailcap lpr
mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums mail-abbrevs sendmail
rfc822 gmm-utils mailheader canlock sha1 hex-util hashcash gnus
gnus-ems gnus-xmas messagexmas wid-edit nnoo nnheader nnheaderxm
gnus-util netrc mm-util timer-funcs mail-prsvr mail-utils org
time-date noutline outline easy-mmode org-install info unidata unicode
mule-ucs-unicode un-data mucs mucs-ccl mucs-type mucs-error txt-tbl
trans-util un-define latin-euro-standards latin-euro-latin10
latin-euro-latin9 latin-euro-latin8 latin-euro-latin7 mule-uni
debian-el debian-el-loaddefs w3m-load mmm-auto mmm-vars mmm-compat
overlay ess-toolbar ess-mous mouseme thingatpt browse-url ess-menu
imenu ess-swv ess-noweb noweb-font-lock-mode essl-bug essd-omg
essl-omg essd-els essd-sas essl-sas essa-sas rtf-support executable
shell essd-arc essd-vst essd-xls essl-lsp essd-sta essl-sta cc-vars
cc-defs make-regexp essd-sp6 essd-sp5 essd-sp3 essd-r essl-s ess-inf
ess-utils comint ring ess-mode noweb-mode ess ess-cust regexp-opt
font-lock cus-face ess-emcs ess-site emacs-goodies-el
emacs-goodies-custom emacs-goodies-loaddefs dpkg-dev-el
dpkg-dev-el-loaddefs mwheel zenirc-autoloads xwem-autoloads
xslt-process-autoloads xslide-autoloads xlib-autoloads xetla-autoloads
xemacs-devel-autoloads xemacs-base-autoloads x-symbol-autoloads
w3-autoloads vm-autoloads viper-autoloads view-process-autoloads
vhdl-autoloads vc-cc-autoloads vc-autoloads tramp-autoloads
tpu-autoloads tooltalk-autoloads tm-autoloads time-autoloads
textools-autoloads text-modes-autoloads texinfo-autoloads
supercite-autoloads strokes-autoloads speedbar-autoloads
sounds-wav-autoloads sounds-au-autoloads sml-mode-autoloads
slider-autoloads sieve-autoloads sh-script-autoloads sgml-autoloads
semantic-autoloads scheme-autoloads sasl-autoloads
ruby-modes-autoloads rmail-autoloads riece-autoloads reftex-autoloads
re-builder-autoloads python-modes-autoloads psgml-dtds-autoloads
psgml-autoloads ps-print-autoloads prog-modes-autoloads pgg-autoloads
perl-modes-autoloads pcomplete-autoloads pcl-cvs-autoloads
pc-autoloads os-utils-autoloads oo-browser-autoloads ocaml-autoloads
net-utils-autoloads mmm-mode-autoloads misc-games-autoloads
mine-autoloads mh-e-autoloads mew-autoloads mailcrypt-autoloads
mail-lib-autoloads jde-autoloads ispell-autoloads ilisp-autoloads
igrep-autoloads idlwave-autoloads ibuffer-autoloads
hyperbole-autoloads hm--html-menus-autoloads haskell-mode-autoloads
gnus-autoloads gnats-autoloads general-docs-autoloads games-autoloads
fsf-compat-autoloads frame-icon-autoloads fortran-modes-autoloads
forms-autoloads footnote-autoloads eudc-autoloads eterm-autoloads
eshell-autoloads escreen-autoloads erc-autoloads emerge-autoloads
elib-autoloads eieio-autoloads efs-autoloads edt-autoloads
edit-utils-autoloads ediff-autoloads edebug-autoloads
ecrypto-autoloads ecb-autoloads docbookide-autoloads dired-autoloads
dictionary-autoloads debug-autoloads crisp-autoloads cookie-autoloads
clearcase-autoloads cc-mode-autoloads calendar-autoloads
calc-autoloads c-support-autoloads build-autoloads bbdb-autoloads
auctex-autoloads apel-autoloads ada-autoloads Sun-autoloads
skk-autoloads mule-ucs-autoloads mule-base-autoloads lookup-autoloads
locale-autoloads leim-autoloads latin-unity-autoloads
latin-euro-standards-autoloads egg-its-autoloads edict-autoloads
lisp-autoloads loadhist auto-show fontl-hooks x-iso8859-1 slovenian
czech romanian ccl mule-help code-cmds gutter-items menubar-items
x-menubar mode-motion mouse itimer auto-save lisp-mode easymenu
iso8859-1 page buff-menu lib-complete cus-file derived frame
text-props obsolete cus-start custom widget cl-extra mini-cl cl cl-19
packages backquote very-early-lisp file-coding mule lucid-scrollbars
cut-buffer lucid-menubars athena-dialogs x c-balloon-help tty-frames
tty toolbar native-sound scrollbar unix-processes multicast
network-streams subprocesses modules menu-accelerator-support menubar
berkeley-db md5 xemacs xim gutter tiff png gif jpeg xface xpm xbm
lisp-float-type linux dialog devices window-system base64)

Recent keystrokes:
-----------------

M-x g n u s RET y y M-x r e b TAB M-BS M-BS M-BS r 
e p o TAB r TAB x e TAB RET

Recent messages (most recent first):
-----------------------------------

Loading xemacsbug...done
Loading xemacsbug...
Making completion list...
Loading gnus-topic...done
Loading gnus-topic...
Opening nnml server...done
Opening nnml server...
Opening nnml server on archive...done
Opening nnml server on archive...
Opening nnml server...done
Opening nnml server...
Opening nnml server on archive...done
Opening nnml server on archive...
Opening nnml server...done
Opening nnml server...
Opening nnvirtual server on ^nnml.*$...done
Opening nnvirtual server on ^nnml.*$...
Opening nnml server on archive...done
Opening nnml server on archive...
Opening nnvirtual server on ^nnml[+]archive:.*$...done

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta at xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
History
Date User Action Args
2009-09-25 02:23:42stephensetstatus: closed
nosy: + stephen
messages: + msg1856
assignedto: stephen
reason: superseded
superseder: + [Bug: 21.5-b29] usenet article freezes XEmacs
2009-01-02 22:10:59mike.kupfersetseverity: crash
nosy: - adsj
messages: + msg937
module: + core code 21.4
priority: normal
platform: + x86, unix
type: defect
2008-11-29 06:19:54adsjcreate